.\"	$NetBSD: ntptime.8,v 1.6 2002/02/02 01:27:22 wiz Exp $
.\" Converted from HTML to mandoc by ntp-html2mdoc.pl
.\"
.Dd March 29, 2000
.Dt NTPTIME 8
.Os
.Sh NAME
.Nm ntptime
.Nd read kernel time variables
.Sh SYNOPSIS
.Nm
.Op Fl chr
.Op Fl e Ar est_error
.Op Fl f Ar frequency
.Op Fl m Ar max_error
.Op Fl o Ar offset
.Op Fl s Ar status
.Op Fl t Ar time_constant
.Sh DESCRIPTION
This program is useful only with special kernels described in the
.%T "A Kernel Model for Precision Timekeeping"
page in
.Pa /usr/share/doc/html/ntp/kern.html .
It reads and displays
time-related kernel variables using the
.Xr ntp_gettime 2
system call.
A similar display can be obtained using the
.Nm ntpdc
program and
.Pa kerninfo
command.
.Sh OPTIONS
.Bl -tag -width indent
.It Fl c
Display the execution time of
.Nm
itself.
.It Fl e Ar est_error
Specify estimated error, in microseconds.
.It Fl f Ar frequency
Specify frequency offset, in parts per million.
.It Fl h
Display times in Unix timeval format. Default is NTP format.
.It Fl l
Specify the leap bits as a code from 0 to 3.
.It Fl m Ar max_error
Display help information.
.It Fl o Ar offset
Specify clock offset, in microseconds.
.It Fl r
Display Unix and NTP times in raw format.
.It Fl s Ar status
Specify clock status. Better know what you are doing.
.It Fl t Ar time_constant
Specify time constant, an integer in the range 0-4.
.El
.Sh AUTHORS
David L. Mills (mills@udel.edu)
